Subject: cutter is outdated and also segfaults on launch

From: Csepp <[email-masked]>
Date: Fri, 30 Dec 2022 00:49:46 +0100

Our package for the Cutter reverse engineering framework is very
outdated and now the package does not even work, since the Cutter
executable simply crashes on startup in ImportsModel::rowCount.

I attempted packaging the new version that uses the new rizin fork of
radare2 but didn't get far.  I can't work on it right now, but if
someone wants to pick up where I left off, I'll push my branch to
https://git.sr.ht/~raingloom/guix-source/tree/raingloom/cutter

It's not currently online and it's on a different machine than the one
I'm writing from, but once pushed, it should be at that URL.

I'm not sure how a package that doesn't even start passed its check
phase.  Tests don't seem to be disabled, so maybe it's Wayland related?
But it was working fine a few months ago, so this is weird.

Either way, the version is old, so unless the fix is trivial, time is
better spent updating the package than fixing the current version.